Bug 458409 - Review Request: ibus-pinyin - PinYin engine for IBus
Review Request: ibus-pinyin - PinYin engine for IBus
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 21:49 EDT by Peng Huang
Modified: 2008-08-13 04:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-13 04:34:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peng Huang 2008-08-07 21:49:50 EDT
Spec URL: http://ibus.googlecode.com/files/ibus-pinyin.spec
SRPM URL: http://ibus.googlecode.com/files/ibus-pinyin-0.1.0.20080808-1.fc9.src.rpm
Description: It's a Chinese PinYin engine for IBus
Comment 1 Parag AN(पराग) 2008-08-08 04:24:13 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=766028
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
21ddfc9307ac154f0360a36f64dd97f2  ibus-pinyin-0.1.0.20080808.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are correct with unnecessary extra dependencies  perl(XML::Parser) gtk2-devel qt-devel
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.

Suggestions:
  1) Remove extra BR: perl(XML::Parser) pygtk2 gtk2-devel qt-devel
  2) Remove unneeded lines from SPEC
    %{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
    %{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

APPROVED.
Comment 2 Peng Huang 2008-08-08 04:34:14 EDT
New Package CVS Request
=======================
Package Name: ibus-pinyin
Short Description: The Chinese PinYin input engine for IBus platform
Owners: phuang
Branches: F-9
InitialCC: phuang
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-08-09 21:31:04 EDT
cvs done.
Comment 4 Peng Huang 2008-08-10 14:13:37 EDT
It has been built in koji.
Comment 5 Peng Huang 2008-08-13 00:53:37 EDT
New Package CVS Request
=======================
Package Name: ibus-pinyin
Short Description: The Chinese PinYin input engine for IBus platform
Owners: phuang
Branches: EPEL-5
InitialCC: phuang
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-08-13 01:08:21 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.